aws-s3 gem install error- bittorrent.rb

Hello,

Am running build install on an existing project and I get this error:

Installing aws-s3 (0.6.2)
Errno::EACCES: Permission-denied -
D:/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/aws-s3-0.6.2/lib/aws/s3/bittorrent.rb

An error occured while installing aws-s3 (0.6.2) and Bundler cannot
continue, make sure that gem install aws-s3 -v '0.6.2' succeeds before
bundling.

I get the same error if I just run "gem install aws-s3 -v '0.6.2'"

Doing this on Windows 7, and I am making sure to run the prompt as
administrator.

Thanks,

Salia

This project has been deployed on windows in the past?

However you really should think about installing linux or buying a mac. No kidding.